package at.ac.uibk.gitsearch.repository.search;

import static org.junit.jupiter.api.Assertions.fail;

import java.io.IOException;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import at.ac.uibk.gitsearch.GitsearchApp;
import at.ac.uibk.gitsearch.service.dto.GitFilesPageDetailsDTO;
import at.ac.uibk.gitsearch.service.dto.SearchInputDTO;
import at.ac.uibk.gitsearch.service.dto.SearchInputMetadataDTO;


/**
 * is test fixture is currently empty. It seems very hard, to provide trivial tests.
 * TODO: Either remove GitFilesRepository infrastructure, or provide good tests.
 * @author Michael Breu
 *
 */
@SpringBootTest(classes = GitsearchApp.class)
class GitFilesRepositoryImplIT {

	@Autowired
	private GitFilesRepository gitFilesRepository;
	
	// @Test
	void testPageDetails() throws IOException {
		final SearchInputMetadataDTO searchMetadata = new SearchInputMetadataDTO(null, "testing", null, null, null,null);
		SearchInputDTO searchQuery = new SearchInputDTO(null, searchMetadata, null, null, null, 0);
		GitFilesPageDetailsDTO searchResultPage = gitFilesRepository.pageDetails(searchQuery);
	}

	// @Test
	void testAggregation() {
		fail("Not yet implemented");
	}

}
