package at.ac.uibk.gitsearch.repository.search;

import java.io.IOException;

import at.ac.uibk.gitsearch.service.dto.GitFilesAggregationDTO;
import at.ac.uibk.gitsearch.service.dto.GitFilesPageDetailsDTO;
import at.ac.uibk.gitsearch.service.dto.SearchInputDTO;

public interface GitFilesRepository {

    GitFilesPageDetailsDTO pageDetails(SearchInputDTO searchInputDTO) throws IOException;

    GitFilesAggregationDTO aggregation(String query) throws IOException;
}
